package com.ssj.bean.sys.role.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "sys_admin_role")
public class AdminRole extends BaseEntity{
	
	private static final long serialVersionUID = 4342051758140512064L;
	private String  adminId;
	private String  roleId;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 用户id（tb_user.id）
	 */
	private String userId;
	 
	 @Column(name = "admin_id") 
	public String getAdminId() {
		return adminId;
	}
	public void setAdminId(String adminId) {
		this.adminId = adminId;
	}
	 @Column(name = "role_id") 
	public String getRoleId() {
		return roleId;
	}
	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}
	@Column(name = "create_time") 
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
}
